import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

public class ScrollTest {

	/**
	 * 커서 앞뒤 이동
	 */
    Connection con;
	
	static{
		try{
			Class.forName("oracle.jdbc.driver.OracleDriver");
		}
		catch(ClassNotFoundException cne){
			cne.printStackTrace();
		}
	}
	
	public void connect(){
		try{
			con = DriverManager.getConnection("jdbc:oracle:thin:@localhost:1521:XE",
					"java", "java");
			System.out.println("Connection Success!");
		}
		catch(SQLException se){
			se.printStackTrace();
		}
	}
	public void select(){
		Statement stmt = null;
		ResultSet rs = null;
		try{
			stmt = con.createStatement(
					ResultSet.TYPE_SCROLL_INSENSITIVE ,
					ResultSet.CONCUR_UPDATABLE);
			
			String sql = "SELECT * FROM member";
			rs = stmt.executeQuery(sql);
			
			System.out.println("앞으로 이동하면서 출력");
			while(rs.next()){
				System.out.println("아이디 : " + rs.getString(1) + ",비밀번호 : " 
			+ rs.getString("passwd") + ",이름 : " + rs.getString("name") + 
			",나이 : " + rs.getInt("age") + ",성별 : " + rs.getString("gender") + 
			",이메일 : " + rs.getString("email"));
			}	
			
			System.out.println("뒤로 이동하면서 출력");
			while(rs.previous()){
				System.out.println("아이디 : " + rs.getString(1) + ",비밀번호 : " 
			+ rs.getString("passwd") + ",이름 : " + rs.getString("name") + 
			",나이 : " + rs.getInt("age") + ",성별 : " + rs.getString("gender") + 
			",이메일 : " + rs.getString("email"));
			}	
			
			System.out.println("첫 번째 레코드");
			if(rs.first()){
				System.out.println("아이디 : " + rs.getString(1) + ",비밀번호 : " 
						+ rs.getString("passwd") + ",이름 : " + rs.getString("name") + 
						",나이 : " + rs.getInt("age") + ",성별 : " + rs.getString("gender") + 
						",이메일 : " + rs.getString("email"));
			}
			
			System.out.println("마지막 레코드");
			if(rs.last()){
				System.out.println("아이디 : " + rs.getString(1) + ",비밀번호 : " 
						+ rs.getString("passwd") + ",이름 : " + rs.getString("name") + 
						",나이 : " + rs.getInt("age") + ",성별 : " + rs.getString("gender") + 
						",이메일 : " + rs.getString("email"));
			}
			
			System.out.println("세번째 레코드");
			if(rs.absolute(3)){
				System.out.println("아이디 : " + rs.getString(1) + ",비밀번호 : " 
						+ rs.getString("passwd") + ",이름 : " + rs.getString("name") + 
						",나이 : " + rs.getInt("age") + ",성별 : " + rs.getString("gender") + 
						",이메일 : " + rs.getString("email"));
			}
			
		}
		catch(SQLException se){
			se.printStackTrace();
		}
		finally{
			try{
				stmt.close();
				con.close();
			}
			catch(Exception e){
				e.printStackTrace();
			}
		}
	}
	public static void main(String[] args) {
		// TODO Auto-generated method stub
		ScrollTest st = new ScrollTest();
		st.connect();
		st.select();
	}

}

