import java.nio.ByteBuffer;
import java.nio.channels.FileChannel;
import java.nio.charset.Charset;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.nio.file.StandardOpenOption;

public class ChannelReadTest1 {

	public static void main(String[] args) {

		Path path = Paths.get("C:\\javaStudy\\eclipse-workspace\\Chapter11\\niotest1.txt");

		try (FileChannel ch = FileChannel.open(path, StandardOpenOption.READ)) {

			ByteBuffer buffer = ByteBuffer.allocate(1024);
			ch.read(buffer);

			buffer.flip();
			Charset charset = Charset.defaultCharset();
			String inputData = charset.decode(buffer).toString();
			System.out.println(inputData);

			buffer.clear();

		} catch (Exception e) {
			e.printStackTrace();
			System.out.println("Error...");
		}
	}
}